/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Entity;
import java.util.*;
/**
 *
 * @author Icho
 */

public class TEST_Log {

    private TEST_User _pvtUser;
    private Date _pvtCreateTime;
    private TEST_LogType _pvtLogType;
    private Object _pvtLogObject;
    /**
     * 
     * @param prmUser 产生该日志的用户
     * @param prmCreateTime 日志产生时间
     * @param prmLogType 日志类型
     * @param prmLogObject 日志记录对象
     */
    public TEST_Log(TEST_User prmUser,Date prmCreateTime,TEST_LogType prmLogType,Object prmLogObject)
    {
        this._pvtUser=prmUser;
        this._pvtCreateTime=prmCreateTime;
        this._pvtLogType=prmLogType;
        this._pvtLogObject=prmLogObject;
    }
    /**
     * 获取产生该日志的用户名
     * @return 用户对象
     */
    public TEST_User getUser()
    {
        return _pvtUser;
    }
    /**
     * 获取日志产生的时间
     * @return 日志记录时间
     */
    public Date getCreateTime()
    {
        return _pvtCreateTime;
    }
    /**
     * 获取日志的类型
     * @return 日志类型
     */
    public TEST_LogType getLogType()
    {
        return _pvtLogType;
    }
    /**
     * 获取日志记录的对象
     * @return 日志记录对象
     */
    public Object getLogObject()
    {
        return _pvtLogObject;
    }
}
